Subject: Re: libtool-1.5.6-3, export-symbols-regex bug?
From: "Gerrit P. Haase" <[email-masked]>
To: Maarten Boekhold <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 Sep 2004 20:36:27 +0200

Hello Maarten,

> libtool-1.5.6-3, cygwin 1.5.10(0.116/4/2)

> I noticed the following today when trying to compile an application.
> Before I upgraded libtool earlier this week (not sure from which 
> version, but a very recent one), this worked.

> When you use '-export-symbols-regex "^[^_].*"', libtool generates a file
> according to:

> /bin/nm -B  .libs/libxfce4util_la-i18n.o 
> .libs/libxfce4util_la-licenses-texts.o .libs/libxfce4util_la-utf8.o 
> .libs/libxfce4util_la-xfce-desktopentry.o 
> .libs/libxfce4util_la-xfce-fileutils.o 
> .libs/libxfce4util_la-xfce-kiosk.o 
> .libs/libxfce4util_la-xfce-miscutils.o .libs/libxfce4util_la-xfce-rc.o
> .libs/libxfce4util_la-xfce-rc-config.o 
> .libs/libxfce4util_la-xfce-rc-simple.o 
> .libs/libxfce4util_la-xfce-resource.o  | sed -n -e 's/^.*[ 
> ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[  ][ 
> ]*\(_\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p' | /bin/sed -e 
> '/^[BCDGS] /s/.* \([^ ]*\)/\1 DATA/' | /bin/sed -e '/^[AITW] /s/.* //' |
> sort | uniq > .libs/libxfce4util.exp
> grep -E -e "^[^_].*" ".libs/libxfce4util.exp" > ".libs/libxfce4util.expT"

> (sorry for the ugly way the lines are broken...)

> The first part (nm -B ... > .libs/libxfce4util.exp) generates a file
> that looks like:

> R _xfce_builtin_license_BSD xfce_builtin_license_BSD
> R _xfce_builtin_license_GPL xfce_builtin_license_GPL
> R _xfce_builtin_license_LGPL xfce_builtin_license_LGPL
> _xfce_rc_config_close
> _xfce_rc_config_flush
> _xfce_rc_config_get_entries
> ...
> _xfce_rc_simple_write_entry
> parent_class DATA
> utf8_string_remove_controls
> xfce_desktop_entry_get_file
> xfce_desktop_entry_get_int
> xfce_desktop_entry_get_string
> xfce_desktop_entry_get_type
> ...

> I suspect that the "R _xfce..." lines are invalid. The 'parent_class
> DATA' line also looks suspicious to me.

> Can the cygwin libtool maintainer please comment on this? Is this a bug,
> or should I adjust the regex passed to -export-symbols-regex?

Please see:
http://sources.redhat.com/ml/cygwin/2004-08/msg00607.html

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/